## lava-server 2016.12

=== doc/v2/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -j 4
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LavaDispatcher.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LavaDispatcher.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LavaDispatcher"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## lava-server 2014.07

=== debian/changelog ===
lava-server (2014.07-1) unstable; urgency=medium

  * New production release
  * Includes optimised Image Reports 2.0 and bug fixes

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Aug 2014 11:32:36 +0100

lava-server (2014.06.24-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Documentation update and unit test fixes.

 -- Neil Williams <codehelp@debian.org>  Thu, 24 Jul 2014 21:07:50 +0100

lava-server (2014.06.22-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Jul 2014 16:43:51 +0100

lava-server (2014.06.14.17-1) unstable; urgency=medium

  * New upstream release
  * Includes fix for dashboard unit tests and error on
    submitting result data for the first time.
  * Recommend Android support tools to communicate with devices using
    adb

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Jul 2014 19:01:00 +0100

lava-server (2014.06.02.17-2) unstable; urgency=medium

  * Drop README.Debian as this information is now in the
    upstream documentation and has also been updated.
  * Specify django-testscenarios to fix autopkgtest
  * Add build-essential to the dependencies of lava-dev
    to ensure the build scripts can operate.
  * add directory to support archival of job output files

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Jul 2014 15:35:50 +0100

lava-server (2014.06.02.17-1) unstable; urgency=medium

  * New upstream production release

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Jul 2014 18:49:10 +0100

lava-server (2014.05.30.09-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright for upstream changes.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Jun 2014 19:29:34 +0100

lava-server (2014.05.11.14-1) unstable; urgency=medium

  * New upstream release
  * Update for merge into upstream master branch.

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Jun 2014 18:47:23 +0100

lava-server (2014.04.16-1) experimental; urgency=medium

  * Initial release. (Closes: #747356: ITP: lava-server -- Linaro
    Automated Validation Architecture server)
  * Target experimental during final changes.

 -- Neil Williams <codehelp@debian.org>  Fri, 16 May 2014 21:11:32 +0100

lava-server (0.22.1-8) unstable; urgency=medium

  * Add python-setuptools to ensure lava-server manage operates
    properly.
  * Use common static file locations in Debian and Ubuntu
  * Create all the SSHFS directories and generate the SSH key for the
    worker.
  * Improve the remote worker setup support.

 -- Neil Williams <codehelp@debian.org>  Wed, 07 May 2014 20:05:26 +0100

lava-server (0.22.1-7) unstable; urgency=medium

  * Add sbuild sample script to lava-dev
  * Move creation of superuser into install_database function and check
    if the superuser needs to be created.
  * Update vcs location
  * Drop linaro-django-pagination from lava-server
  * Add lava-dev to the metapackage
  * Add vmdebootstrap to lava metapackage and a README to lava-dev.
  * Add libjs-jquery-flot and symlink relevant copies.
  * Add the sshfs mount script for remote workers.

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Apr 2014 10:37:27 +0100

lava-server (0.22.1-6) unstable; urgency=medium

  * Drop libguestfs-tools as it has moved to lava-dispatcher to be
    architecture-dependent.

 -- Neil Williams <codehelp@debian.org>  Sat, 29 Mar 2014 22:21:41 +0000

lava-server (0.22.1-5) unstable; urgency=medium

  * Add support for lava-dev - future versions will use git tag version
    strings.
  * Add support for reconfiguring lava-server as a remote worker - ssh
    and xmlrpc support needs to be done manually.
  * Create the superuser after completing migrations

 -- Neil Williams <codehelp@debian.org>  Fri, 28 Mar 2014 10:58:41 +0000

lava-server (0.22.1-4) unstable; urgency=medium

  * Add debconf support for migrating existing LAVA instances.

 -- Neil Williams <codehelp@debian.org>  Mon, 17 Mar 2014 15:26:39 +0000

lava-server (0.22.1-3) unstable; urgency=medium

  * Add libguestfs-tools for improved qemu support

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Mar 2014 10:16:07 +0000

lava-server (0.22.1-2) unstable; urgency=medium

  * Add support for creating the devel database for unit tests

 -- Neil Williams <codehelp@debian.org>  Wed, 26 Feb 2014 11:04:55 +0000

lava-server (0.22.1-1) unstable; urgency=medium

  * Port to django1.6 

 -- Neil Williams <codehelp@debian.org>  Thu, 20 Feb 2014 10:45:58 +0000

lava-server (0.22-1) unstable; urgency=medium

  * Multicolumn search support

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Feb 2014 10:41:46 +0000

lava-server (0.21.2-2) unstable; urgency=medium

  * Package instructions for using the initial data and sample
    configuration files
  * kvm.conf is packaged upstream in lava-dispatcher, removed.
  * Package an example health check for kvm devices

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Dec 2013 11:41:15 +0000

lava-server (0.21.2-1) unstable; urgency=medium

  * New upstream version

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Dec 2013 08:29:10 +0000

lava-server (0.21.1-6) unstable; urgency=medium

  * Remove dbconfig-common and configure localhost postgres manually

 -- Neil Williams <codehelp@debian.org>  Mon, 02 Dec 2013 13:34:50 +0000

lava-server (0.21.1-5) unstable; urgency=medium

  * Updated for dashboard format 1.7

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Nov 2013 15:43:03 +0000

lava-server (0.21.1-4) unstable; urgency=low

  * Add upstream manpages

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Nov 2013 16:48:41 +0000

lava-server (0.21.1-3) unstable; urgency=low

  * Package the etc files provided by upstream after merging from the
    packaging branch.

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Nov 2013 10:36:34 +0000

lava-server (0.21.1-2) unstable; urgency=low

  * Add PEP386 support for versioned dependencies based on requires.txt



=== debian/control ===
Source: lava-server
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
 python-mocker, python-setuptools (>= 3)
X-Python-Version: 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.5
Homepage: http://www.linaro.org/projects/test-validation/
Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-server

Package: lava-server
Architecture: all
Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
Depends: apache2, adduser, diffstat, fuse, iproute2,
 libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
 python-daemon, python-dateutil, python-django-auth-openid (>= 0.5-2),
 python-setuptools,
 libjs-jquery-cookie, libjs-jquery-flot (>= 0.8.2), openssh-client,
 postgresql, postgresql-client, postgresql-common,
 ${python:Depends}, ${misc:Depends}
Recommends: ntp, lava-coordinator, lava-server-doc
Description: Linaro Automated Validation Architecture server
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing. Extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides the Apache and WSGI configuration and LAVA
 support files to run the validation server on the local Apache
 instance as a lava-server virtual host as well as the scheduler
 and dispatcher.
 .
 This package can be configured as the master scheduler or as a
 remote worker, although design limitations mean that it always
 installs a database (unused on a remote worker).

Package: lava
Architecture: all
Section: metapackages
Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
 lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
 tftpd-hpa, ${misc:Depends}
Recommends: lavapdu-daemon
Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
Description: Linaro Automated Validation Architecture metapackage
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This metapackage brings in all LAVA components on a single
 machine. Some suggested packages may not be available for all
 architectures.

Package: lava-dev
Architecture: all
Section: devel
Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
 debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
 django-testscenarios, pep8,
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
 python-mocker, python-setuptools, python-versiontools,
 ${misc:Depends}
Recommends: sbuild
Description: Linaro Automated Validation Architecture developer support
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 .
 This package provides a helper script to build LAVA packages
 from local git working copies and support for running the
 LAVA unit tests locally.

Package: lava-server-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Conflicts: linaro-dashboard-bundle-doc
Provides: linaro-dashboard-bundle-doc
Replaces: linaro-dashboard-bundle-doc
Description: Linaro Automated Validation Architecture documentation
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains an offline copy of the LAVA
 Manual which is also available on each instance running LAVA
 server.
 .
  - an overview of LAVA
  - help on installing and configuring LAVA
  - test developer guide to writing LAVA tests
  - use cases and examples
  - administrator guide for managing a LAVA lab
  - developer guide

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYTHON2:=$(shell pyversions -r)
install_dir=$(call py_libdir, $(PYTHON2))

%:
	dh $@ --with sphinxdoc,python2

override_dh_auto_build:
	dh_auto_build
	cp etc/lava-server.init debian/
	python setup.py build
	make -C doc/ html
	make -C man/ man

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
	dh_installman -plava-server man/_build/man/lava-server.1
	dh_installman -plava-server man/_build/man/lava-daemon.1
	# FIXME: should not need this mv
	mv debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/htdocs/ debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server
	# move ssfs script to /usr/sbin
	mkdir debian/lava-server/usr/sbin/
	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
	# handle embedded JS
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	ln -s /usr/share/javascript/jquery-cookie/jquery.cookie.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.navigate.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.navigate.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.navigate.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.canvas.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.canvas.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.canvas.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/jquery.flot.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/jquery.flot.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.selection.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.selection.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.selection.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.stack.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.stack.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.stack.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.time.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.time.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.time.min.js

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_server.egg-info doc/_build dist/ .idea/ jquery.cookie.js
	$(RM) -r versiontools-*.egg/
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f man/Makefile ] || make -C man/ clean
	debconf-updatepo

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-server-$(VERSION).tar.gz ../lava-server_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

## lava-server 2014.09.1

=== debian/changelog ===
lava-server (2014.09.1-1) unstable; urgency=medium

  * New hotfix release cherry-picking upstream fixes,
    reviews 3346, 3345, 3347, 3348 and 3331.
    Includes fixes for django-tables2 update on filter
    tables, multinode scheduling and a regression in
    filter charts.

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Oct 2014 18:00:39 +0100

lava-server (2014.09-1) unstable; urgency=medium

  * New upstream production release
  * Fix upgrade issue with parallel migrations. (Closes: #763310)
  * Use libjs-excanvas package as a dependency.
  * Includes fix to trailing calls to python-django-longerusername.
    (Closes: #763319)
  * Add option to use LDAP authentication
  * Update standards version, no changes

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Oct 2014 14:13:30 +0100

lava-server (2014.08.2-1) unstable; urgency=medium

  * New production release includes fixes for multinode tagging,
    multinode slave capability and documentation, fixup time
    display in various places to be more human readable,
    make test selection on image reports persistent and add
    skipped and unknown test count to totals in image reports.
  * Migrate to Django 1.7 support (Closes: #755610)
  * Fix machine-readable sections of copyright lines

 -- Neil Williams <codehelp@debian.org>  Wed, 17 Sep 2014 10:24:09 -0700

lava-server (2014.07.1-1) unstable; urgency=medium

  * New upstream bug fix release, including fixes for
    multinode device tags support and fixes for attaching
    bug numbers to image reports.
  * [INTL:pt] Portuguese translation for debconf messages
    (Closes: #753907)
  * [INTL:ru] Russian debconf templates translation
    (Closes: #756644)
  * [INTL:de] Initial German debconf translation
    (Closes: #757519)
  * [INTL:da] Danish translation of the debconf templates lava-
    server (Closes: #757651)
  * [INTL:fr] French debconf templates translation
    (Closes: #757709)
  * [INTL:es] Spanish translation of debconf messages
    (Closes: #757894)
  * [l10n:cs] Initial Czech translation of PO debconf template for
    lava-server (Closes: #758018)
  * [INTL:it] Italian translation of debconf messages
    (Closes: #758028)
  * [INTL:pt_BR] Brazilian Portuguese debconf templates
    translation (Closes: #757728)
  * [debconf_rewrite] Debconf templates and debian/control review
    completed. (Closes: #754149)

 -- Neil Williams <codehelp@debian.org>  Sat, 09 Aug 2014 12:15:28 +0100

=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

#http://releases.linaro.org/latest/components/lava/lava-server_(.*).tar.gz

https://git.linaro.org/lava/lava-server.git/tags /lava/lava-server.git/log/refs/tags/(.*)

## lava-server 2015.05

=== debian/changelog ===
lava-server (2015.05-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 May 2015 12:01:12 +0100

lava-server (2015.05-1) unstable; urgency=medium

  * New production release for unstable.
  * Use Debian changelog date for sphinx timestamps. Patch from
    Reiner Herrmann <reiner@reiner-h.de> (Closes: #782386)
  * Symlink the source files as well as minified js files
  * Tidy up lintian copyright Files matches.

 -- Neil Williams <codehelp@debian.org>  Fri, 08 May 2015 10:57:24 +0100

lava-server (2015.04-1) experimental; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Apr 2015 10:34:05 +0100

lava-server (2015.03-1) experimental; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2015 19:33:42 +0000

lava-server (2015.01-1) experimental; urgency=medium

  * New production release.
  * [INTL:nl] Dutch translation of debconf messages
    (Closes: #766547)

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Feb 2015 13:39:42 +0800

lava-server (2014.12-1) experimental; urgency=medium

  * New production release
  * Add dh-python to Build-Depends

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Dec 2014 08:59:39 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-setuptools (>= 3)
 X-Python-Version: 2.7
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -23,8 +23,9 @@
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Depends: apache2, adduser, diffstat, fuse, iproute2,
  libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
- python-daemon, python-dateutil, python-django-auth-openid (>= 0.5-2),
- python-setuptools,
+ python-daemon, python-dateutil,
+ python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
+ python-setuptools, libjs-excanvas,
  libjs-jquery-cookie, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
@@ -51,7 +52,7 @@
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
  lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, ${misc:Depends}
+ tftpd-hpa, openssh-client, schroot, ${misc:Depends}
 Recommends: lavapdu-daemon
 Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
 Description: Linaro Automated Validation Architecture metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYTHON2:=$(shell pyversions -r)
install_dir=$(call py_libdir, $(PYTHON2))

# embedded JS
SOURCE=/usr/share/javascript/jquery-flot/
# dashboard jquery-flot replacements
DASHBOARD_DIR=$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/
DASHBOARD_JS=jquery.flot.navigate.min.js jquery.flot.navigate.js jquery.flot.canvas.min.js jquery.flot.canvas.js
DASHBOARD_JS+=jquery.flot.min.js jquery.flot.js jquery.flot.selection.min.js jquery.flot.selection.js
DASHBOARD_JS+=jquery.flot.stack.min.js jquery.flot.stack.js jquery.flot.time.min.js jquery.flot.time.js

# scheduler jquery-flot replacements
SCHEDULER_DIR=$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/
SCHEDULER_JS=jquery.flot.min.js jquery.flot.js jquery.flot.stack.min.js jquery.flot.stack.js

%:
	dh $@ --with sphinxdoc,python2

override_dh_auto_build:
	dh_auto_build
	cp etc/lava-server.init debian/
	[ ! -f etc/lava-master.init ] || cp etc/lava-master.init debian/
	python setup.py build
	make -C doc/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
	# dispatcher-master zeromq support, lava-server.init handled by auto_install.
	[ ! -f etc/lava-master.init ] || dh_installinit --name lava-master
	# jinja support
	[ ! -d etc/dispatcher-config ] || cp -r etc/dispatcher-config $(CURDIR)/debian/lava-server/etc/lava-server/
	dh_installman -plava-server man/_build/man/lava-server.1
	dh_installman -plava-server man/_build/man/lava-daemon.1
	[ ! -f man/_build/man/lava-master.1 ] || dh_installman -plava-server man/_build/man/lava-master.1
	# FIXME: should not need this mv
	mv debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/htdocs/ debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server
	# move ssfs script to /usr/sbin
	mkdir debian/lava-server/usr/sbin/
	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
	# handle embedded JS
	# jquery.flot
	for file in $(DASHBOARD_JS); do \
		$(RM) $(DASHBOARD_DIR)/$$file; \
		ln -s $(SOURCE)/$$file $(DASHBOARD_DIR)/$$file; \
	done
	for file in $(SCHEDULER_JS); do \
		$(RM) $(SCHEDULER_DIR)/$$file; \
		ln -s $(SOURCE)/$$file $(SCHEDULER_DIR)/$$file; \
	done
	# other js libraries
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	ln -s /usr/share/javascript/jquery-cookie/jquery.cookie.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.js
	ln -s /usr/share/javascript/excanvas/excanvas.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.min.js
	ln -s /usr/share/javascript/excanvas/excanvas.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.min.js

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_server.egg-info doc/_build dist/ .idea/ jquery.cookie.js
	$(RM) -r versiontools-*.egg/
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f man/Makefile ] || make -C man/ clean
	debconf-updatepo

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-server-$(VERSION).tar.gz ../lava-server_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

## lava-server 2015.06

=== debian/changelog ===
lava-server (2015.06-1) unstable; urgency=medium

  *  New upstream production release
  *  Add unit test support files. (Closes: #785607)

 -- Neil Williams <codehelp@debian.org>  Mon, 18 May 2015 12:57:56 +0100

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-setuptools, python-versiontools,
  ${misc:Depends}
-Recommends: sbuild
+Recommends: sbuild, python-django-extensions, python-pydot
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

## lava-server 2015.07

=== debian/changelog ===
lava-server (2015.07-1) unstable; urgency=medium

  * New upstream production release.
  * Support old and new python-lockfile API for
    trusty and jessie-backports support (Closes: #789907)

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Jul 2015 17:11:18 +0100

## lava-server 2015.8

=== debian/changelog ===
lava-server (2015.8-1) unstable; urgency=medium

  * New production release
  * Change from using return to exit in config script.

 -- Neil Williams <codehelp@debian.org>  Mon, 03 Aug 2015 08:32:45 +0100

## lava-server 2015.8.1

=== debian/changelog ===
lava-server (2015.8.1-1) unstable; urgency=medium

  * Hot fix production release

 -- Neil Williams <codehelp@debian.org>  Fri, 07 Aug 2015 10:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-setuptools, python-versiontools,
+ docbook-xsl, xsltproc,
  ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot
 Description: Linaro Automated Validation Architecture developer support

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 	# move ssfs script to /usr/sbin
 	mkdir debian/lava-server/usr/sbin/
 	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
+	# skip unwanted licence file specified in copyright
+	$(RM) debian/lava-server/usr/lib/python2.7/dist-packages/google_analytics/LICENSE
 	# handle embedded JS
 	# jquery.flot
 	for file in $(DASHBOARD_JS); do \

## lava-server 2015.9

=== debian/changelog ===
lava-server (2015.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 13 Oct 2015 18:05:27 +0100

lava-server (2015.9-1) unstable; urgency=medium

  * New production release
  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 10 Sep 2015 14:08:50 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
+ Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+ Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
+ libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools (>= 3)
+ python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
@@ -25,8 +28,9 @@
  libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
  python-daemon, python-dateutil,
  python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
- python-setuptools, libjs-excanvas,
- libjs-jquery-cookie, libjs-jquery-flot (>= 0.8.2), openssh-client,
+ python-setuptools, libjs-excanvas, libjs-jquery-cookie,
+ libjs-jquery, libjs-jquery-ui,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
@@ -52,7 +56,7 @@
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
  lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, openssh-client, schroot, ${misc:Depends}
+ tftpd-hpa, openssh-client, schroot, lxc, bridge-utils, ${misc:Depends}
 Recommends: lavapdu-daemon
 Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
 Description: Linaro Automated Validation Architecture metapackage
@@ -72,6 +76,8 @@
 Section: devel
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
+ libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  django-testscenarios, pep8,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,

=== debian/rules ===
--- 
+++ 
@@ -24,18 +24,6 @@
 
 PYTHON2:=$(shell pyversions -r)
 install_dir=$(call py_libdir, $(PYTHON2))
-
-# embedded JS
-SOURCE=/usr/share/javascript/jquery-flot/
-# dashboard jquery-flot replacements
-DASHBOARD_DIR=$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/
-DASHBOARD_JS=jquery.flot.navigate.min.js jquery.flot.navigate.js jquery.flot.canvas.min.js jquery.flot.canvas.js
-DASHBOARD_JS+=jquery.flot.min.js jquery.flot.js jquery.flot.selection.min.js jquery.flot.selection.js
-DASHBOARD_JS+=jquery.flot.stack.min.js jquery.flot.stack.js jquery.flot.time.min.js jquery.flot.time.js
-
-# scheduler jquery-flot replacements
-SCHEDULER_DIR=$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/
-SCHEDULER_JS=jquery.flot.min.js jquery.flot.js jquery.flot.stack.min.js jquery.flot.stack.js
 
 %:
 	dh $@ --with sphinxdoc,python2
@@ -66,25 +54,10 @@
 	# skip unwanted licence file specified in copyright
 	$(RM) debian/lava-server/usr/lib/python2.7/dist-packages/google_analytics/LICENSE
 	# handle embedded JS
-	# jquery.flot
-	for file in $(DASHBOARD_JS); do \
-		$(RM) $(DASHBOARD_DIR)/$$file; \
-		ln -s $(SOURCE)/$$file $(DASHBOARD_DIR)/$$file; \
-	done
-	for file in $(SCHEDULER_JS); do \
-		$(RM) $(SCHEDULER_DIR)/$$file; \
-		ln -s $(SOURCE)/$$file $(SCHEDULER_DIR)/$$file; \
-	done
-	# other js libraries
-	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
-	ln -s /usr/share/javascript/jquery-cookie/jquery.cookie.js \
-		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
-	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.js
-	ln -s /usr/share/javascript/excanvas/excanvas.js \
-		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.js
-	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.min.js
-	ln -s /usr/share/javascript/excanvas/excanvas.min.js \
-		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/excanvas.min.js
+	python ./share/javascript.py -f ./share/javascript.yaml
+	# handle symlink breakage
+	$(RM) -r ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/htdocs
+	ln -s ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/htdocs ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/
 
 override_dh_auto_clean:
 	dh_auto_clean

## lava-server 2015.11

=== debian/changelog ===
lava-server (2015.11-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 02 Nov 2015 13:36:09 +0000

## lava-server 2015.12

=== debian/changelog ===
lava-server (2015.12-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Retain Suggests on python-django-auth-openid as the version
    in jessie will work with the version of django in jessie.

 -- Neil Williams <codehelp@debian.org>  Thu, 24 Dec 2015 11:16:23 +0000

lava-server (2015.12-3) unstable; urgency=medium

  * Conflict with python-django-auth-openid as
    python-django-auth-openid cannot support django1.9 which
    is now in unstable and testing. (Closes: #808313)

 -- Neil Williams <codehelp@debian.org>  Fri, 18 Dec 2015 20:09:33 +0000

lava-server (2015.12-2) unstable; urgency=medium

  * Add extra autopkgtest dependency: python-tz
    Also add to main Depends to avoid issues if python-django
    is installed without Recommends.

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Dec 2015 21:24:35 +0000

lava-server (2015.12-1) unstable; urgency=medium

  * New production release
  * Migrates to django1.9 support (Closes: #804111)

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Dec 2015 09:40:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
@@ -22,18 +22,19 @@
 Package: lava-server
 Architecture: all
 Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
-Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
+Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc,
+ python-django-hijack (<= 1.0.10-1), python-django (<< 1.7)
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Depends: apache2, adduser, diffstat, fuse, iproute2,
- libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
- python-daemon, python-dateutil,
- python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
+ libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw, python-tz,
+ python-daemon, python-dateutil, python-django-auth-ldap,
  python-setuptools, libjs-excanvas, libjs-jquery-cookie,
- libjs-jquery, libjs-jquery-ui,
+ libjs-jquery, libjs-jquery-ui, python-django (>= 1.7),
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
+Suggests: python-django-hijack, python-django-auth-openid
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -76,12 +77,12 @@
 Section: devel
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
- django-testscenarios, pep8,
+ django-testscenarios, pep8, android-tools-adb, android-tools-fastboot,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools, python-versiontools,
+ python-mocker, python-setuptools, python-versiontools, python-yaml,
  docbook-xsl, xsltproc,
  ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot

=== debian/rules ===
--- 
+++ 
@@ -46,18 +46,13 @@
 	dh_installman -plava-server man/_build/man/lava-server.1
 	dh_installman -plava-server man/_build/man/lava-daemon.1
 	[ ! -f man/_build/man/lava-master.1 ] || dh_installman -plava-server man/_build/man/lava-master.1
-	# FIXME: should not need this mv
-	mv debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/htdocs/ debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server
 	# move ssfs script to /usr/sbin
 	mkdir debian/lava-server/usr/sbin/
 	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
 	# skip unwanted licence file specified in copyright
 	$(RM) debian/lava-server/usr/lib/python2.7/dist-packages/google_analytics/LICENSE
 	# handle embedded JS
-	python ./share/javascript.py -f ./share/javascript.yaml
-	# handle symlink breakage
-	$(RM) -r ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/htdocs
-	ln -s ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/htdocs ./debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/
+	python ./share/javascript.py -f ./share/javascript.yaml --remove
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios, python-tz
Restrictions: allow-stderr

## lava-server 2016.2

=== debian/changelog ===
lava-server (2016.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Feb 2016 19:48:06 +0000

lava-server (2016.2-1) unstable; urgency=medium

  * New production release (Closes: #807999)

 -- Neil Williams <codehelp@debian.org>  Tue, 02 Feb 2016 08:33:52 +0000

lava-server (2015.12-4) unstable; urgency=medium

  * Use --fake-initial option on migrations, when django1.8
    is available but not on Jessie. (Closes: #810355)

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Jan 2016 19:33:16 +0000

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,6 @@
 	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
 	# dispatcher-master zeromq support, lava-server.init handled by auto_install.
 	[ ! -f etc/lava-master.init ] || dh_installinit --name lava-master
-	# jinja support
-	[ ! -d etc/dispatcher-config ] || cp -r etc/dispatcher-config $(CURDIR)/debian/lava-server/etc/lava-server/
 	dh_installman -plava-server man/_build/man/lava-server.1
 	dh_installman -plava-server man/_build/man/lava-daemon.1
 	[ ! -f man/_build/man/lava-master.1 ] || dh_installman -plava-server man/_build/man/lava-master.1
